{% extends "base.html" %}

{% block links %}
{{ super() }}
{% endblock %}


{% block title %}
Profil de "{{ user.first_name }} {{ user.last_name }}"
{% endblock %}




{% block header %}
{% include "sub_templates/header.html" %}
{% endblock %}



{% block main %}
<h1 class="text-2xl font-semibold text-center mb-4">Profil de "{{ user.first_name }} {{ user.last_name }}"</h1>
<div class="flex flex-col gap-5">
    <div class="flex gap-5">
        <section class="shadow rounded px-4 py-3 flex-1">
            <h2 class="text-lg font-semibold mb-2">Informations générales</h2>


            <table class="w-full rounded-lg overflow-hidden border border-collapse">
                <tbody>
                    <tr class="bg-gray-50 text-gray-900 text-sm w-full">
                        <th class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden">Nom</th>
                        <td class="px-2.5 py-2 overflow-hidden w-[70%]">{{ user.first_name }} {{ user.last_name }}</td>
                    </tr>
                    <tr class="bg-gray-50 text-gray-900 text-sm w-full">
                        <th class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden">Email</th>
                        <td class="px-2.5 py-2 overflow-hidden w-[70%]">{{ user.email }}</td>
                    </tr>

                    <tr class="bg-gray-50 text-gray-900 text-sm w-full">
                        <th class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden">Numéro
                            {% if user.role_id == 1 %} étudiant {% elif user.role_id == 2 %} enseignant {% else %}
                            administrateur {% endif %}</th>
                        <td class="px-2.5 py-2 overflow-hidden w-[70%]">{{ user.numero }}</td>
                    </tr>

                    {% if user.role_id != 3 %}
                    <tr class="bg-gray-50 text-gray-900 text-sm w-full">
                        <th class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden">Ma
                            promotion</th>
                            {% if user.promo %}
                            <td class="px-2.5 py-2 overflow-hidden w-[70%]">{{ user.promo.promo.name }}</td>
                            {% else %}
                            <td class="px-2.5 py-2 overflow-hidden w-[70%] text-red-500">Rien pour l'instant</td>
                            {% endif %}
                    </tr>
                    {% endif %}


                </tbody>
            </table>
        </section>

        {% if user.role_id == 1 %}
        <section class="shadow rounded px-4 py-3 flex-2 text-sm">
            <div class="mb-2 flex items-center gap-2">
                <h2 class="text-lg font-semibold">Historique des candidatures</h2>
                <div class="bg-[#F8ED91] w-fit h-fit rounded-full px-3 py-1 text-sm">
                    {% if user.status_search == 0 %} Pas encore postulé {% elif user.status_search == 1  %} En cours
                    {% elif user.status_search == 2 %} Accepté(e) {% else %} {{ user.status_search }}{% endif %}</div>
            </div>

            {% if histories | length == 0 %}
            <em class="text-sm flex justify-center">Pas encore de candidature.</em>
            {% endif %}
            {% for history in histories %}
            - [{% if current_user == user %}<a href="{{ url_for('edit_history', id = history.id ) }}"
                class="text-[var(--blue)]"
                title="Changer la réponse">{% endif %}{{ get_anser_by_anser_status(history.anser) }}</a>]
            le {{ history.send_date }} Candidate pour "<a class="text-[var(--blue)]"
                href="{{ url_for('offre', id = history.offre.id) }}">{{ history.offre.titre }}</a>" chez <a
                href="{{ url_for('company', id = history.company.id) }}"
                class="text-[var(--blue)]">{{ history.company.name }}</a><br>
                {% if user.status_search == 2 %}
                    <a class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-[var(--blue)] focus:border-[var(--blue)] block w-full px-2.5 py-1.5 w-fit h-fit justify-center flex" href="{{ url_for('new_mission_confirmation_request', id=history.offre.id) }}">
                        Faire une demande de validation de mission
                    </a>
                {% endif %}
            {% endfor %}
        </section>
        {% endif %}
    </div>

    {% if current_user.role_id == 1 %}
    <div class="flex my-2 gap-5 justify-center">
        {% if user.has_mission_request != None %}
            <a class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-[var(--blue)] focus:border-[var(--blue)] block w-full px-2.5 py-1.5 w-fit h-fit justify-center flex" href="{{ url_for('my_mission_confirmation_request') }}">
                Voir ma demande de validation
            </a>
        {% endif %}

        <a class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-[var(--blue)] focus:border-[var(--blue)] block w-full px-2.5 py-1.5 w-fit h-fit justify-center flex"
            href="{{ url_for('add_problem') }}">Un problème ?</a>
    </div>
    {% endif %}

    {% if current_user.role_id == 2 %}
        <h1 class="text-2xl font-semibold text-center mb-10">Tableau de bord</h1>

        <div class="flex flex-col gap-5">
            <div class="flex gap-5">
                <section class="shadow rounded px-4 py-3 flex-1">
                    <h2 class="text-lg font-semibold mb-2">Référent apprentissage</h2>
                    
                    <table class="w-full rounded-lg overflow-hidden border border-collapse">
                        <tbody>
                            {% for dictionnaire in getPromoParApprentiStage(current_user.id,"2") %}
                                <tr class="bg-gray-50 text-gray-900 text-sm w-full">
                                    <th class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden">{{dictionnaire}}</th>
                                    <td class="px-2.5 py-2 overflow-hidden w-[70%]">{{getPromoParApprentiStage(current_user.id,"2")[dictionnaire]}} fois</td>
                                </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                    </br>
                    <h3 class="font-semibold mb-2">- Liste des élèves</h3>
                    <table class="w-full rounded-lg overflow-hidden border border-collapse">
                        <tbody>
                            {% for apprentiStage in getListeApprentiStage(current_user.id) %}
                                {% if apprentiStage.offre_type_id == "2" %}
                                    <tr class="bg-gray-50 text-gray-900 text-sm w-full">
                                        <td class="px-2.5 py-2 overflow-hidden w-[70%]">
                                            <a href="{{ url_for('one_request_mission_confirmation', id=apprentiStage.id) }}">
                                                [{{apprentiStage.user.promo.name}}] {{apprentiStage.user.last_name}} {{apprentiStage.user.first_name}}
                                            </a>
                                        </td>
                                    </tr>
                                {% endif %}
                            {% endfor %}
                        </tbody>
                    </table>
                </section>
                <section class="shadow rounded px-4 py-3 flex-1">
                    <h2 class="text-lg font-semibold mb-2">Référent stage</h2>
                    
                    <table class="w-full rounded-lg overflow-hidden border border-collapse">
                        <tbody>
                            {% for dictionnaire in getPromoParApprentiStage(current_user.id,"1") %}
                                <tr class="bg-gray-50 text-gray-900 text-sm w-full">
                                    <th class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden">{{dictionnaire}}</th>
                                    <td class="px-2.5 py-2 overflow-hidden w-[70%]">{{getPromoParApprentiStage(current_user.id,"1")[dictionnaire]}} fois</td>
                                </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                    </br>
                    <h3 class="font-semibold mb-2">- Liste des élèves</h3>
                    <table class="w-full rounded-lg overflow-hidden border border-collapse">
                        <tbody>
                            {% for apprentiStage in getListeApprentiStage(current_user.id) %}
                                {% if apprentiStage.offre_type_id == "1" %}
                                    <tr class="bg-gray-50 text-gray-900 text-sm w-full">
                                        <td class="px-2.5 py-2 overflow-hidden w-[70%]">
                                            <a href="{{ url_for('one_request_mission_confirmation', id=apprentiStage.id) }}">
                                                [{{apprentiStage.user.promo.name}}] {{apprentiStage.user.last_name}} {{apprentiStage.user.first_name}}
                                            </a>
                                        </td>
                                    </tr>
                                {% endif %}
                            {% endfor %}
                        </tbody>
                    </table>
                </section>
                <section class="shadow rounded px-4 py-3 flex-1">
                    <h2 class="text-lg font-semibold mb-2">Candides</h2>
        
                    <table class="w-full rounded-lg overflow-hidden border border-collapse">
                        <tbody>
                            {% for dictionnaire in getPromoParSoutenance(current_user.id) %}
                                <tr class="bg-gray-50 text-gray-900 text-sm w-full">
                                    <th class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden">{{dictionnaire}}</th>
                                    <td class="px-2.5 py-2 overflow-hidden w-[70%]">{{getPromoParSoutenance(current_user.id)[dictionnaire]}} fois</td>
                                </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                    </br>
                    <h3 class="font-semibold mb-2">- Liste des élèves</h3>
                    <table class="w-full rounded-lg overflow-hidden border border-collapse">
                        <tbody>
                            {% for soutenance in getListeSoutenance(current_user.id) %}
                                <tr class="bg-gray-50 text-gray-900 text-sm w-full">
                                    <td class="px-2.5 py-2 overflow-hidden w-[70%]">
                                        <a href="{{ url_for('one_request_mission_confirmation', id=soutenance.mission_request.id) }}">
                                            [{{soutenance.mission_request.user.promo.name}}] {{soutenance.mission_request.user.last_name}} {{soutenance.mission_request.user.first_name}}
                                        </a>
                                    </td>
                                </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                </section>
            </div>
        </div>
    {% endif %}

    {% if connected %}
    <a href="/logout"
        class="rounded-full pointer px-3 py-[5px] text-white bg-[var(--blue)] border border-[var(--blue)] font-semibold hover:bg-white hover:text-[var(--blue)] duration-300 shadow mx-auto flex w-fit">Se
        déconnecter</a>
    {% endif %}
</div>


{% endblock %}

{% block footer %}
{% include  "sub_templates/footer.html" %}
{% endblock footer%}


{% block script %}
{{ super() }}
{% endblock %}